/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc\RunicTinkerKit.cs
Lines of code: 45
***********************************************************/


using System;
using Server;
using Server.Engines.Craft;

namespace Server.Items
{
	[FlipableAttribute( 7865, 7864 )]
	public class RunicTinkerKit : BaseRunicTool
	{
		public override CraftSystem CraftSystem{ get{ return DefTinkering.CraftSystem; } }

		public override string DefaultName
		{
			get
			{

				return String.Format("{0} Runic Tinker Set",CraftResources.GetName(Resource));
			}
		}

		
		[Constructable]
		public RunicTinkerKit( CraftResource resource ) : base( resource, 7864 )
		{
			Weight = 8.0;
			Layer = Layer.OneHanded;
			Hue = CraftResources.GetHue( resource );
		}

		[Constructable]
		public RunicTinkerKit( CraftResource resource, int uses ) : base( resource, uses, 7864 )
		{
			Weight = 8.0;
			Layer = Layer.OneHanded;
			Hue = CraftResources.GetHue( resource );
		}

		public RunicTinkerKit( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}